﻿using System;

namespace Spider.Infrastructure.Pos
{
    public class ModelBase
    {
        /// <summary>
        /// 标识
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateTime { get; set; } = DateTime.Now;
        /// <summary>
        /// 是否是管理员
        /// </summary>
        public bool IsAdmin { get; set; } = false;
        /// <summary>
        /// 举报类型标识
        /// </summary>
        public int? ReportTypeId { get; set; }

        /// <summary>
        /// 删除标识
        /// </summary>
        public bool IsDeleted { get; set; } = false;

        public override string ToString()
        {
            return $"Id: {Id},Content: {Content},CreateTime: {CreateTime},IsAdmin: {IsAdmin},ReportTypeId: {ReportTypeId},IsDeleted: {IsDeleted}";
        }
    }
}
